Skip to content

Get Export Program Member Jobs

GET /bulk/v1/program/members/export.json

Permissions Read-Only Lead

Build a request and mock the response

Method: GET
Path: /bulk/v1/program/members/export.json
Tag: Bulk Export Program Members
Operation ID: getExportProgramMembersUsingGET

Returns a list of export jobs that were created in the past 7 days. Required Permissions: Read-Only Lead

Formats

  • Request: application/json
  • Response: application/json

Request

Query parameters

Name Type Required Description Constraints
status array No Comma separated list of statuses to filter on. enum: created, queued, processing, cancelled, completed, failed; collection format: multi
batchSize integer (int32) No The batch size to return. The max and default value is 300.
nextPageToken string No A token will be returned by this endpoint if the result set is greater than the batch size and can be passed in a subsequent call through this parameter. See Paging Tokens for more info.

Example request

GET {{base_url}}/bulk/v1/program/members/export.json?status=created&batchSize={{batchSize}}&nextPageToken={{nextPageToken}}
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfExportResponseWithToken

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "errorMsg": "string",
      "exportId": "123",
      "fileSize": 123,
      "fileChecksum": "string",
      "finishedAt": "2026-01-15T10:30:00Z",
      "format": "string",
      "numberOfRecords": 123,
      "queuedAt": "2026-01-15T10:30:00Z",
      "startedAt": "2026-01-15T10:30:00Z",
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.